List commission lines
curl --request GET \
--url https://api.introw.io/api/v1/commission-lines \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.introw.io/api/v1/commission-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.introw.io/api/v1/commission-lines"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "cln_4d5e6f7g8h9i0j1k2l3m4n5o",
"partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
"payoutId": null,
"description": "Q1 referral bonus",
"amount": "500.00",
"sourceAmount": "10000.00",
"currency": "USD",
"status": "PENDING",
"planName": "Referral plan",
"periodEnd": "2026-03-31T23:59:59.000Z",
"idempotencyKey": null,
"createdAt": "2026-04-05T09:00:00.000Z",
"updatedAt": "2026-04-05T09:00:00.000Z"
},
{
"id": "cln_5o4n3m2l1k0j9i8h7g6f5e4d",
"partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
"payoutId": "pay_2x7n4q8z0w1a2b3c4d5e6f7g",
"description": "Q1 referral bonus",
"amount": "500.00",
"sourceAmount": "10000.00",
"currency": "USD",
"status": "IN_PAYOUT",
"planName": "Referral plan",
"periodEnd": "2026-03-31T23:59:59.000Z",
"idempotencyKey": null,
"createdAt": "2026-04-05T09:00:00.000Z",
"updatedAt": "2026-04-05T09:00:00.000Z"
}
],
"pagination": {
"nextCursor": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}List commission lines
Returns commission lines for the organisation resolved from the authenticated API key. Filter by partner, payout, or status.
GET
/
api
/
v1
/
commission-lines
List commission lines
curl --request GET \
--url https://api.introw.io/api/v1/commission-lines \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.introw.io/api/v1/commission-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.introw.io/api/v1/commission-lines"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "cln_4d5e6f7g8h9i0j1k2l3m4n5o",
"partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
"payoutId": null,
"description": "Q1 referral bonus",
"amount": "500.00",
"sourceAmount": "10000.00",
"currency": "USD",
"status": "PENDING",
"planName": "Referral plan",
"periodEnd": "2026-03-31T23:59:59.000Z",
"idempotencyKey": null,
"createdAt": "2026-04-05T09:00:00.000Z",
"updatedAt": "2026-04-05T09:00:00.000Z"
},
{
"id": "cln_5o4n3m2l1k0j9i8h7g6f5e4d",
"partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
"payoutId": "pay_2x7n4q8z0w1a2b3c4d5e6f7g",
"description": "Q1 referral bonus",
"amount": "500.00",
"sourceAmount": "10000.00",
"currency": "USD",
"status": "IN_PAYOUT",
"planName": "Referral plan",
"periodEnd": "2026-03-31T23:59:59.000Z",
"idempotencyKey": null,
"createdAt": "2026-04-05T09:00:00.000Z",
"updatedAt": "2026-04-05T09:00:00.000Z"
}
],
"pagination": {
"nextCursor": null
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Introw API key shown once when the credential is created.
Query Parameters
Maximum number of lines to return.
Required range:
1 <= x <= 100Cursor returned by a previous list response.
Filter lines for a single partner.
Filter lines attached to a single payout.
Filter lines by status.
Available options:
EXPECTED, PENDING, IN_PAYOUT, VOIDED Was this page helpful?